Debian Bug report logs - #325060
fortunes: LWN.net on kernel compatibility for rootkits

version graph

Package: fortunes; Maintainer for fortunes is Andrea Colangelo <warp10@ubuntu.com>; Source for fortunes is src:fortune-mod.

Reported by: Danilo Piazzalunga <danilopiazza@libero.it>

Date: Thu, 25 Aug 2005 21:03:02 UTC

Severity: wishlist

Found in version fortunes/1:1.99.1-2

Fixed in version fortune-mod/1:1.99.1-7

Done: Andrea Colangelo <warp10@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pascal Hakim <pasc@debian.org>:
Bug#325060; Package fortunes. Full text and rfc822 format available.

Acknowledgement sent to Danilo Piazzalunga <danilopiazza@libero.it>:
New Bug report received and forwarded. Copy sent to Pascal Hakim <pasc@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Danilo Piazzalunga <danilopiazza@libero.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fortunes: LWN.net on kernel compatibility for rootkits
Date: Thu, 25 Aug 2005 22:50:21 +0200
Package: fortunes
Version: 1:1.99.1-2
Severity: wishlist

Hello,
If you agree, I think this would be a nice quote to add to fortunes. I
hope it is self-explanatory enough.

"It has been suggested that root kits are the largest user community for
this kind of access, but there are no forward compatibility guarantees
for root kit authors."
  -- Jonathan Corbet in "Who needs /dev/kmem?"
     <http://lwn.net/Articles/147901/>



Tags added: pending Request was from pasc@redellipse.net (Pascal Hakim) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andrea Colangelo <warp10@ubuntu.com>:
You have taken responsibility. (Thu, 15 Aug 2013 04:06:27 GMT) Full text and rfc822 format available.

Notification sent to Danilo Piazzalunga <danilopiazza@libero.it>:
Bug acknowledged by developer. (Thu, 15 Aug 2013 04:06:27 GMT) Full text and rfc822 format available.

Message #12 received at 325060-close@bugs.debian.org (full text, mbox):

From: Andrea Colangelo <warp10@ubuntu.com>
To: 325060-close@bugs.debian.org
Subject: Bug#325060: fixed in fortune-mod 1:1.99.1-7
Date: Thu, 15 Aug 2013 04:03:17 +0000
Source: fortune-mod
Source-Version: 1:1.99.1-7

We believe that the bug you reported is fixed in the latest version of
fortune-mod, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 325060@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrea Colangelo <warp10@ubuntu.com> (supplier of updated fortune-mod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Aug 2013 23:58:15 -0400
Source: fortune-mod
Binary: fortune-mod fortunes-min fortunes fortunes-off
Architecture: source amd64 all
Version: 1:1.99.1-7
Distribution: unstable
Urgency: low
Maintainer: Andrea Colangelo <warp10@ubuntu.com>
Changed-By: Andrea Colangelo <warp10@ubuntu.com>
Description: 
 fortune-mod - provides fortune cookies on demand
 fortunes   - Data files containing fortune cookies
 fortunes-min - Data files containing selected fortune cookies
 fortunes-off - Data files containing offensive fortune cookies
Closes: 241888 325060 415831 478654 570566 617612 673585 683069 683633 692022 694306 697252 711137
Changes: 
 fortune-mod (1:1.99.1-7) unstable; urgency=low
 .
   * New maintainer (Closes: #673585).
   * debian/control:
     + bump Standars-Version to 3.9.4. No changes required.
     + add Vcs-* tags.
   * debian/patches/changes_outside_debian_subdir_1.99.1-4.diff: split into
     {datfiles,readme,todo,man,fortune.c,fortune-clean.py}.diff to keep things
     cleaner.
   * debian/patches/irish_ballad.diff: add, fix wrong fortune (Closes: #694306).
   * debian/patches/corbet.diff: add, new J. Corbet fortune (Closes: #325060).
   * debian/patches/typo.diff: add, thanks to Alexander Klauer for the patch
     (Closes: #683069, #692022).
   * debian/patches/manpage_bugs.diff: add to better specify illegal paths for
     fortunes file in the manpage. (Closes: #241888).
   * debian/patches/songs-poems.diff: add to fix typo (Closes: #683633).
   * debian/patches/mark_twain.diff: add to fix disputed quote attribution
     (Closes: #478654).
   * debian/patches/autocad.diff: add (Closes: #617612).
   * debian/patches/lawyers.diff: add (Closes: #697252).
   * debian/patches/politics.diff: add (Closes: #570566).
   * debian/patches/off-wrong-man.diff: add (Closes: #415831).
   * debian/{source/,}*lintian-overrides: add, upstream is dead and there is no
     homepage neither something to watch for updates.
   * debian/fortune-mod.postinst: add to remove /usr/local/share/games/fortunes
     left by fortune-mod before 1:1.99.1-4. (Closes: #711137)
Checksums-Sha1: 
 44b1d22d388a6154cbcc37879e3fdb001211b8e8 2032 fortune-mod_1.99.1-7.dsc
 e80434f079110db5a47403c23e5e64472480228f 310380 fortune-mod_1.99.1-7.debian.tar.bz2
 a03dbefff71c15d43d1e1bc7858b0e3867fb7075 51810 fortune-mod_1.99.1-7_amd64.deb
 3586847c7b746dbef7f135a64ae8ff4c111e2204 74254 fortunes-min_1.99.1-7_all.deb
 64bdd54e1a4a07ec09f6371edc8c0008f74f09db 1117428 fortunes_1.99.1-7_all.deb
 381a0922eaca30774ec505a4a53a73855b1d8544 780108 fortunes-off_1.99.1-7_all.deb
Checksums-Sha256: 
 9afa1a93286499c3c40143de78ae7138c669a842b06291a9f518edea97734a18 2032 fortune-mod_1.99.1-7.dsc
 1bb582dc6d8773fd37d17c30e2e98f02bb24b204bab110b6d25ad5ec3fe3c1ca 310380 fortune-mod_1.99.1-7.debian.tar.bz2
 42d3f3ef9b0c2bbc638e9dcc011edb73caaafd9b48abc4d3cf343f0d2bffebd0 51810 fortune-mod_1.99.1-7_amd64.deb
 74b040bef3848bf9f564c8720bcc7dcb4e9612419d32caf388635e68dac5681c 74254 fortunes-min_1.99.1-7_all.deb
 1970350b569d5b43efedc896502adbb67d2c74440d00854c77400206d4358cec 1117428 fortunes_1.99.1-7_all.deb
 ba0f0a9c1328078421af2a19bf95be0f1a4886e3a470b4ec0f2e841c878a3c88 780108 fortunes-off_1.99.1-7_all.deb
Files: 
 6bacb1fa5c8acadbc24ff62b409c7dcd 2032 games optional fortune-mod_1.99.1-7.dsc
 1bcabbd308c0f9a00929b6c5a1bf77f6 310380 games optional fortune-mod_1.99.1-7.debian.tar.bz2
 2d7336241ad48653f0eabf7f88d9201e 51810 games optional fortune-mod_1.99.1-7_amd64.deb
 4b70f092cce019c2a602269fc0cd90a0 74254 games optional fortunes-min_1.99.1-7_all.deb
 70370c00568d9db69e4086ec638418a9 1117428 games optional fortunes_1.99.1-7_all.deb
 0ad74c48904ab5b4954cf22c2895e58e 780108 games optional fortunes-off_1.99.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJSDFJ9AAoJEHtYWzCAfCqHSU8P/ipl+kokMbgo2Jd5h3iXCtnB
qv3wFgWwgnkrWKPsbu9LIT74H9n4MRalIEDMEkQG06zAUTUDWzEC0cOCL4xBqtdW
DRyeUNAzGtMAa453MCtAA6HwOjLEnl1Zmnnb8RfisLIt7yDBFPUANwPQWPdiVdvN
F8q+5b2R8Pge8rKNla6sV/U3iZ5Pk5V55RtSA+p/XK7+jNCu8NvyQrwriRSoZcSh
YGi4oYEz7O6WuOvwIe3nrwSuYpj60DeQvjj7yUSgeierBOiCaDuIJ7js/yMt3Kn2
qQVdxaQNGahna8eFlKdMpV5HTH3a5PgGCRf4ykakCUjy9iM/T76fh24DV7TfNK2v
MJia2Fsi5g3isnK1QSB3NxYVbMYDWSIba2n4Wg36TbT/Ng3o4Vn36n7NKOnTsoJp
4iJdyMEwh/ubFFfoHZUNm1jyeGkbeyffjHsbJ2JESnpVrjtbLMLcJnPCIk173qV0
LWCcXhlJyxMP77MSe45xjpVx/dvnLQU1DaXwkHvMwaM7YqpjTE1dBv4MjOdIzsXG
xEnSZ6azmwUK03YKgtdMxGAbWtCo/8qQBRrqSJJKj874yzc5HoNhz/BsFbq2yOeF
uPn7mj/iOLDt4Jewaqxll3NkH3mJ/vEklPe3b9VQhYDlSeKcKB2R6B1eDXcffn4c
hY0YuXM3vnuPafm4pDGe
=/fzp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Sep 2013 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:12:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.